# Uses of Class
com.logicaldoc.core.metadata.Template

Packages that use Template
Package
Description
com.logicaldoc.core.automation
Automation subsystem that allows you to program your own logic inside the platform.
The automation engine can be accessed through the class `Automation`
Please note the special annotation `AutomationDictionary` that is used to automatically put in the Dictionary whatever bean you need.
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects
com.logicaldoc.core.folder
Contains the definitions of `Folder` as well as other related objects
com.logicaldoc.core.generic
Contains the definitions of `Generic` that is a persistent object used as a general way to store informations in the database
com.logicaldoc.core.metadata
Package that collects the template and attribute sets definitions.
Many objects of the LogicalDOC platform are extensible and can store your custom metadata, they are all those that extends the `ExtensibleObject`.
com.logicaldoc.core.metadata.initialization
Package that contains classes used to initialize extensible objects metadata, `ExtensibleObject`.
com.logicaldoc.core.metadata.validation
Package that contains classes used to validate extensible objects metadata, `ExtensibleObject`.

## Uses of Template in com.logicaldoc.core.automation

Methods in com.logicaldoc.core.automation that return Template
Modifier and Type
Method
Description
`Template`
DocTool.`findTemplateById(long templateId)`
This method finds a template by ID
`Template`
DocTool.`findTemplateByName(String name, long tenantId)`
This method finds a template by name

## Uses of Template in com.logicaldoc.core.document

Methods in com.logicaldoc.core.document that return Template
Modifier and Type
Method
Description
`Template`
Document.`getTemplate()`
`Template`
Version.`getTemplate()`
Methods in com.logicaldoc.core.document with parameters of type Template
Modifier and Type
Method
Description
`void`
Document.`setTemplate(Template template)`
`void`
Version.`setTemplate(Template template)`

## Uses of Template in com.logicaldoc.core.folder

Methods in com.logicaldoc.core.folder that return Template
Modifier and Type
Method
Description
`Template`
Folder.`getTemplate()`
Methods in com.logicaldoc.core.folder with parameters of type Template
Modifier and Type
Method
Description
`void`
Folder.`setTemplate(Template template)`

## Uses of Template in com.logicaldoc.core.generic

Methods in com.logicaldoc.core.generic that return Template
Modifier and Type
Method
Description
`Template`
Generic.`getTemplate()`
Methods in com.logicaldoc.core.generic with parameters of type Template
Modifier and Type
Method
Description
`void`
Generic.`setTemplate(Template template)`

## Uses of Template in com.logicaldoc.core.metadata

Methods in com.logicaldoc.core.metadata that return Template
Modifier and Type
Method
Description
`Template`
HibernateTemplateDAO.`clone(long id, String cloneName)`
`Template`
TemplateDAO.`clone(long id, String cloneName)`
Creates a clone of an existing template
`Template`
HibernateTemplateDAO.`findByName(String name, long tenantId)`
`Template`
TemplateDAO.`findByName(String name, long tenantId)`
This method finds a template by name
`Template`
AbstractAttributeSet.`getTemplate()`
`Template`
Extensible.`getTemplate()`
Methods in com.logicaldoc.core.metadata that return types with arguments of type Template
Modifier and Type
Method
Description
`List<Template>`
HibernateTemplateDAO.`findAll()`
`List<Template>`
HibernateTemplateDAO.`findAll(long tenantId)`
`List<Template>`
HibernateTemplateDAO.`findByType(int type, long tenantId)`
`List<Template>`
TemplateDAO.`findByType(int type, long tenantId)`
This method finds a template by type
Methods in com.logicaldoc.core.metadata with parameters of type Template
Modifier and Type
Method
Description
`void`
HibernateTemplateDAO.`initialize(Template template)`
`void`
TemplateDAO.`initialize(Template template)`
`void`
AbstractAttributeSet.`setTemplate(Template template)`
`void`
Extensible.`setTemplate(Template template)`
`void`
HibernateTemplateDAO.`store(Template template)`

## Uses of Template in com.logicaldoc.core.metadata.initialization

Methods in com.logicaldoc.core.metadata.initialization with parameters of type Template
Modifier and Type
Method
Description
`void`
Initializer.`initialize(ExtensibleObject object, Template template, History transaction)`
Initializes an object instance taking the initialization logic from a given template

## Uses of Template in com.logicaldoc.core.metadata.validation

Methods in com.logicaldoc.core.metadata.validation with parameters of type Template
Modifier and Type
Method
Description
`void`
Validator.`validate(ExtensibleObject object, Template template, History transaction)`
Validates an object instance taking the validation logic from a given template